Median XL 1.3.1, PlugY and D2SE Install Guide

Discuss Median XL!
Harlockmael
Destroyer
6 | 0
Really zero forte? Ha ha It's my first time playing a mod game so I'm not that familiar one last stupid question where is said feature? Is it in the in game settings or do i have to tweak something in the folders?
Edited by Harlockmael 10 months.
User avatar
ZeroForte
Stone Warrior
31 | 0
No, it's enabled permanently, there is no settings for this. Just walk over gold.
Harlockmael
Destroyer
6 | 0
Ohh hhmmm strange did not notice that but thanks i will tfy it
Harlockmael
Destroyer
6 | 0
And I've noticed something i can hear the gold when it falls to the ground but nothing is there so i think the auto pick up works but when i check my inventory there was no gold added did any of you experienced the same thing? Im using the d2se to play the d2 with plugy and it's running on compatibility windows 7 and administrator. I'm using windows 8.

And i do not know if this is a problem on my part but when i sell items it really cheap and i do not know if the gold drop rate is just really low, I'm playing SP I'm at act 1 quest 1 and all i got. Was 4 gold. Is this normal for the game? Thanks again :)
LogicalGavin
Skeleton
2 | 0
So I haven't read all ten pages of this so I apologize if this has been covered, but my Diablo 2 is now unplayable with Median XL. I first tried to install without doing the first step of getting a fresh Diablo 2, and got the message saying that d2video.mpq and D2SE.exe was corrupted, so I uninstalled everything. Once I completed following the steps of getting a fresh Diablo, installing the patch, D2SE, Median XL for D2SE, and Median XL 2017, and then bringing in my old Saves folder in order to play with my characters that I have progress on, I could play. However, if I save and exit, then switch characters, the game crashes with the message:

"UNHANDLED EXCEPTION:
ACCESS_VIOLATION (c0000005)".

This also happens if I try to switch between acts (using waypoint, or using Meshif, Warriv, etc.) This error pops up when using PlugY and any of the DDraw, D3D, and Glide options. When I turn off PlugY, I cannot open any characters and a different error message pops up:

"Halt
Location : , line #2239
Expression : Unrecoverable internal error 6fd5c664"

All of this is with Windows 7 Compatibility turned on, and with it turned off D2SE just closes if I try to open MXL. Vanilla Diablo works perfectly fine, what should I do? Does bringing in my Saves folder make nothing work? The game works fine if I make new characters, but I want to use my old ones, so... yeah.

Edit: I can't even move out of the Rogue Encampment, so yeah I can't play.
Edited by LogicalGavin 9 months.
User avatar
Rishab
Neon Fiend
2008 | 148
Common Posting Badge
Posted over 1.000 messages
Common Popularity Badge
Has a thread with over 10.000 views
Great Love Badge
Earned over 100 cookies
Common Contribution Badge
Has collaborated to our forums, realms or mod
LogicalGavin wrote:
► Show Spoiler

What version of PlugY are u using? The crash u have on save&exit is because of plugY, afaik, plugY v10 works best with median now.


The Error #2239 means that the 2 Dll that comes with the median patch (also called the Core) are not loading, u can load them manually by using a remoteDll injector and the error wont show. PlugY works as a dll injector in this case.
New Bestiary(WIP)| Useful BBcodes| Extended Gamelist | Community Project: Median Wiki | ingame Questlog
Be the change you want to see in this community.
- Gandhi
LogicalGavin
Skeleton
2 | 0
I am using PlugY v10, the default that comes with D2SE v2.2.0 when enabling "Use PlugY" in System Features.

Edit: Reinstalling Median XL using the installer makes my characters work again, but I still want to use PlugY and can't.
User avatar
RequiemLux
Son of Lucion
712 | 92
Common Popularity Badge
Has a thread with over 10.000 views
Common Love Badge
Earned over 20 cookies
LogicalGavin wrote:I am using PlugY v10, the default that comes with D2SE v2.2.0 when enabling "Use PlugY" in System Features.
Edit: Reinstalling Median XL using the installer makes my characters work again, but I still want to use PlugY and can't.


Have you tried to take a look here: viewtopic.php?p=100771#p100771 ?
viperosa
Balrog
125 | 0
should update the download link to this https://forum.median-xl.com/viewtopic.php?f=25&t=17828
BURYMEAT666
Imp
4 | 0
I went and made an account here just to tell you,

YOU ARE A GOD FOR THIS POST!!

I can now save my game without crashing..

GLHF bud